#========================================================================================
# package      DE_EPAGES::ShopMailType::API::Attributes::Shop
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Implements the attribute MailTypeFolder.MailTypes
#========================================================================================
package DE_EPAGES::ShopMailType::API::Attributes::Shop;
use base qw( DE_EPAGES::Object::API::BaseAttribute  );


use strict;
#========================================================================================
# function     getAttributes
# state        private
# syntax       $Value = $Object->get($AttributeName);
#========================================================================================
sub getAttributes {
    shift;
    my ($Object, $aNames) = @_;
    my $hInfo = {};
    foreach my $Name (@$aNames) {
        if ($Name eq 'ShopMailTypes'){
            $hInfo->{$Name} = $Object->existsChild('MailTypes') ? $Object->child('MailTypes')->children : [];
        }
    }
    return $hInfo;
}

1;

